Bug 4127 - new runtime break build process
: new runtime break build process
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/i386-mingw32msvc-runtime)
: unstable
: all Linux
: P2 critical
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2004-05-13 00:36 by
Modified: 2005-08-30 12:19 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2004-05-13 00:36:06
upgrade на -alt2 не пошел на пользу:
сломан gcc/c++ - любая сборка валится с руганью такого вида:
configure:2087: i386-mingw32msvc-gcc -o conftest -O2 -march=i586 -mcpu=i686  
conftest.c  1>&5                       
/usr/lib/gcc-lib/i386-mingw32msvc/3.3.3/../../../../i386-mingw32msvc/lib/crt2.o(.text+0xe):crt1.c:
undefined referenc
e to `_CRT_glob'                                                               
                                     
/usr/lib/gcc-lib/i386-mingw32msvc/3.3.3/../../../../i386-mingw32msvc/lib/crt2.o(.text+0x47):crt1.c:
undefined referen
ce to `_CRT_fmode'                                                             
                                     
/usr/lib/gcc-lib/i386-mingw32msvc/3.3.3/../../../../i386-mingw32msvc/lib/crt2.o(.text+0x64):crt1.c:
undefined referen
ce to `_CRT_fmode'                                                             
                                     
/usr/lib/gcc-lib/i386-mingw32msvc/3.3.3/../../../../i386-mingw32msvc/lib/crt2.o(.text+0x83):crt1.c:
undefined referen
ce to `_CRT_fmode'                                                             
                                     
fu000001.o(.idata$3+0xc): undefined reference to `libmsvcrt_a_iname'           
                                     
fu000002.o(.idata$3+0xc): undefined reference to `libmsvcrt_a_iname'           
                                     
fu000004.o(.idata$3+0xc): undefined reference to `libmsvcrt_a_iname'           
                                     
fu000005.o(.idata$3+0xc): undefined reference to `libmsvcrt_a_iname'           
                                     
nmth000000.o(.idata$4+0x0): undefined reference to `_nm___fmode'               
                                     
nmth000003.o(.idata$4+0x0): undefined reference to `_nm___fpreset'             
                                     
Info: resolving __fmode by linking to __imp___fmode (auto-import)              
                                     
Info: resolving __fpreset by linking to __imp___fpreset (auto-import)          
                                     
configure: failed program was:                                                 
                                     
                                                                               
                                     
#line 2082 "configure"                                                         
                                     
#include "confdefs.h"                                                          
                                     
                                                                               
                                     
main(){return(0);}

пока лечится откатом на -alt1

Steps to Reproduce:
1. apt-get install i386-mingw32msvc-runtime 
2. rpmbuild --rebuild i386-mingw32msvc-libiconv-1.9.2-alt1.src.rpm

Actual Results:  
должны получить пакет на выходе :)

Expected Results:  
не собирается
------- Comment #1 From 2004-05-13 09:44:56 -------
Похоже проблема здесь:

- Strip dll's and dll wrappers

Починю ASAP
------- Comment #2 From 2004-05-14 08:23:59 -------
Fixed in 3.2.2.5-alt3